<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."user_gold_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."user_gold_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."user_gold_panel/locale/English.php";
}
// Infusion general information
$inf_title = $locale['URG100'];
$inf_description = $locale['URG101'];
$inf_version = "2.0.1";
$inf_developer = "AusiMods";
$inf_email = "support@ausimods.com";
$inf_weburl = "http://www.ausimods.com";

$inf_folder = "user_gold_panel"; // The folder in which the infusion resides.
$inf_admin_image = "user_gold.gif"; // Leave blank to use the default image.
$inf_admin_panel = "admin/index.php"; // The admin panel filename if required.

$inf_link_name = $locale['URG102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 0; // Number of new db tables to create or drop.
$inf_insertdbrows = 3; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 3; // Number of db tables to delete data from.

//Some problems with this table with default install so try new method
	dbquery("CREATE TABLE IF NOT EXISTS ".$db_prefix."inf_settings (  name varchar(100) NOT NULL default '',  `value` text NOT NULL,  PRIMARY KEY  (name),  UNIQUE KEY name (name))");

	dbquery("CREATE TABLE IF NOT EXISTS ".$db_prefix."users_points (
  owner_id int(5) NOT NULL default '0',
  owner_name varchar(100) NOT NULL default '',
  points_total int(20) NOT NULL default '0',
  PRIMARY KEY  (owner_id)
)");


//ensure the values are entered
$inf_insertdbrow_[1] = "inf_settings ( name , value )VALUES ('user_gold_new_thread', '15'
);";
$inf_insertdbrow_[2] = "inf_settings ( name , value )VALUES ('user_gold_attach', '10');";
$inf_insertdbrow_[3] = "inf_settings ( name , value )VALUES ('user_gold_reply', '10');";




$inf_deldbrow_[1] = "inf_settings WHERE name = 'user_gold_new_thread'";
$inf_deldbrow_[2] = "inf_settings WHERE name = 'user_gold_attach'";
$inf_deldbrow_[3] = "inf_settings WHERE name = 'user_gold_reply'";

?>